# tcpdump.c File Reference

`#include <vfs/file.h>`
`#include <ubixos/kpanic.h>`
`#include "netif/tcpdump.h"`
`#include "net/ipv4/ip.h"`
`#include "net/tcp.h"`
`#include "net/udp.h"`
`#include "net/ipv4/inet.h"`

Go to the source code of this file.

## Functions

void | tcpdump (struct pbuf *p)
void | tcpdump_init (void)

## Variables

fileDescriptor * | file = NULL

## Function Documentation

void tcpdump | ( | struct pbuf * | p | ) |

Definition at line 57 of file tcpdump.c.

References file, and NULL.

Referenced by loopif_output().

void tcpdump_init | ( | void |  | ) |

Definition at line 47 of file tcpdump.c.

References file, fopen(), kpanic(), and NULL.

## Variable Documentation

fileDescriptor* file = NULL

Definition at line 45 of file tcpdump.c.

Referenced by tcpdump(), and tcpdump_init().